Update Chatbot Prompt
curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts/{promptId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"instructions": "<string>",
"temperature": 123
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts/{promptId}"
payload = {
"title": "<string>",
"description": "<string>",
"instructions": "<string>",
"temperature": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
instructions: '<string>',
temperature: 123
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/prompts/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated custom prompt of the chatbot successfully",
"data": {
"prompt": {
"id": "c50191ee-85d0-4f46-9448-3ab74441c9fb",
"title": "Random",
"description": "Prompt for random replies",
"instructions": "You are an AI assistant who provides random answers for all the questions asked.",
"temperature": 0.95
}
}
}Instructions
Update Chatbot Prompt
Update custom prompt of the chatbot
PATCH
/
v0
/
chatbots
/
{chatbotId}
/
settings
/
prompts
/
{promptId}
Update Chatbot Prompt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Id of the chatbot prompt
Body
application/json
Request body to update custom prompt of the chatbot
Request body
Title of the prompt.
Short description about the prompt.
Actual instructions that will be specified to the AI while generating the response.
Decides creativity level of the chatbot response. 0 is more focused and 1 is more creative/random.
Was this page helpful?
⌘I